# general

## Buildless Mode
```
--detect.detector.buildless=false
```

If set to true, only Detector's capable of running without a build will be run\.



|Details||
|---|---|
|Added|5\.4\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

## Detect Target
```
--detect.target.type=SOURCE,IMAGE 
```

Informs detect of what is being scanned which allows improved user experience when scanning different types of targets\.

Changes the behaviour of detect to better suite what is being scanned\. For example, when IMAGE is selected, detect will not pick a source directory, will automatically disable the DETECTOR tool and run BINARY/SIGNATURE SCAN on the provided image\.

|Details||
|---|---|
|Added|7\.0\.0|
|Type|DetectTargetType|
|Default Value|SOURCE|
|Comma Separated|No|
|Case Sensitive|Yes|
|Acceptable Values|SOURCE, IMAGE|
|Strict|Yes|

## Wait For Results
```
--detect.wait.for.results=false
```

If set to true, Detect will wait for Synopsys products until results are available or the detect\.report\.timeout is exceeded\.



|Details||
|---|---|
|Added|5\.5\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

## Follow Symbolic Links
```
--detect.follow.symbolic.links=true
```

If set to true, Detect will follow symbolic links when searching for detectors, when searching for files that select detectors \(such as Bitbake and Sbt\) need, when searching for directories to exclude from signature scan, and when searching for binary scan targets\.  Symbolic links are not supported for Impact Analysis\.



|Details||
|---|---|
|Added|7\.0\.0|
|Type|Boolean|
|Default Value|true|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|


## Detect Parallel Processors (Advanced)
```
--detect.parallel.processors=1
```

The number of threads to run processes in parallel, defaults to 1, but if you specify less than or equal to 0, the number of processors on the machine will be used\.



|Details||
|---|---|
|Added|6\.0\.0|
|Type|Integer|
|Default Value|1|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
    
## Detect Ignore Connection Failures (Advanced)
```
--detect.ignore.connection.failures=false
```

If true, Detect will ignore any products that it cannot connect to\.

If true, when Detect attempts to boot a product it will also check if it can communicate with it \- if it cannot, it will not run the product\.

|Details||
|---|---|
|Added|5\.3\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
    
## Force Success (Advanced)
```
--detect.force.success=false
```

If true, Detect will always exit with code 0\.



|Details||
|---|---|
|Added|3\.0\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
    


